Bug 468639 - Openoffice.org-writer crash in dlopen's dl_open_worker, but only one-time
Openoffice.org-writer crash in dlopen's dl_open_worker, but only one-time
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
: 468857 473536 477550 478518 497630 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 21:27 EDT by eric@christensenplace.us
Modified: 2009-08-10 19:12 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 07:45:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2008-10-26 21:27:56 EDT
Description of problem: Tried to start writer and it crashed.

Version-Release number of selected component (if applicable): openoffice.org-core-3.0.0-9.5.fc10-i386


How reproducible: The crash occurred once and when I started Writer again it opened properly.


Additional info:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//vesa_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.2-6-i386
(VI)   kernel is: Linux 2.6.27.3-39.fc10.i686 #1 SMP Wed Oct 22 21:35:19 EDT 2008 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.0-9.5.fc10-i386
(VIII) accessibility is: false
(IX)   fedora release is: Fedora release 9.92 (Rawhide)
(X)    LANG is: en_US.utf8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol04
                      64345956  36050436  25026912  60% /home
/dev/mapper/VolGroup00-LogVol02
                        126931     15057    105321  13% /tmp
...end free space details ...
...start (default) java details ...
java version "1.5.0"
gij (GNU libgcj) version 4.3.2 20081007 (Red Hat 4.3.2-6)

Copyright (C) 2007 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
...end (default) java details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 23
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x6ae56c4: 0x1b4a38: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x256c4
0x6ae5fff: 0x1b4a38: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x25fff
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x936842: 0x20ef8: /lib/ld-linux.so.2 + 0x14842
0x931d26: 0x20ef8: /lib/ld-linux.so.2 + 0xfd26
0x935ece: 0x20ef8: /lib/ld-linux.so.2 + 0x13ece
0xabdc2c: 0x2ed0: /lib/libdl.so.2 + 0xc2c
0x931d26: 0x20ef8: /lib/ld-linux.so.2 + 0xfd26
0xabe05c: 0x2ed0: /lib/libdl.so.2 + 0x105c
0xabdb61: 0x2ed0: /lib/libdl.so.2 + 0xb61 (dlopen + 0x41)
0x6ade0aa: 0x1b4a38: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x1e0aa
0x6ade139: 0x1b4a38: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x1e139 (osl_loadModule + 0x87)
0x8dd7f6: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x457f6 (cppu::loadSharedLibComponentFactory(rtl::OUString const&, rtl::OUString const&, rtl::OUString const&, com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory> const&, com::sun::star::uno::Reference<com::sun::star::registry::XRegistryKey> const&) + 0x10f)
0x1478bd2: 0x75c14: /usr/lib/openoffice.org/ure/lib/bootstrap.uno.so + 0x3abd2
0x8d36be: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3b6be
0x8d3b6e: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3bb6e
0x8d23e3: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3a3e3
0x8d26ae: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3a6ae
0x145d842: 0x75c14: /usr/lib/openoffice.org/ure/lib/bootstrap.uno.so + 0x1f842
0x145c701: 0x75c14: /usr/lib/openoffice.org/ure/lib/bootstrap.uno.so + 0x1e701
0x2bc91ac: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0xa71ac
0x2bc13c1: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x9f3c1 (SfxApplication::GetOrCreate() + 0xdf)
0x2d030a6: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1e10a6
0x2d03277: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1e1277
0x8d2f37: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3af37
0x8d23e3: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3a3e3
0x8d2647: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3a647
0x8d3c34: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3bc34
0x8d23e3: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3a3e3
0x8d26ae: 0x768a0: /usr/lib/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 + 0x3a6ae
0x145d842: 0x75c14: /usr/lib/openoffice.org/ure/lib/bootstrap.uno.so + 0x1f842
0x145c701: 0x75c14: /usr/lib/openoffice.org/ure/lib/bootstrap.uno.so + 0x1e701
0x2f68470: 0x517b4: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1d470
0x4eef87: 0x2ebd04: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9ff87
0x4ef123: 0x2ebd04: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa0123 (SVMain() + 0x2c)
0x2f89564: 0x517b4: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x3e564 (soffice_main + 0xd0)
0x80487c4: 0xccc: /usr/lib/openoffice.org3/program/swriter.bin + 0x7c4 (main + 0x20)
0x95d6d5: 0x16fd7c: /lib/libc.so.6 + 0x166d5 (__libc_start_main + 0xe5)
0x8048711: 0xccc: /usr/lib/openoffice.org3/program/swriter.bin + 0x711
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00158000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x0053e000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005d3000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x005f0000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00663000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0068d000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x006aa000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x006b5000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0072d000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00773000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00806000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00835000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00839000)
	librt.so.1 => /lib/librt.so.1 (0x0083e000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00848000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00866000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x008a7000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb7ee8000)
	libvclplug_genli.so => /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so (0xb7e7b000)
	libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0xb7b86000)
	libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0xb7abd000)
	libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0xb7a6f000)
	libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0xb7a00000)
	libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0xb797e000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0xb7893000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0xb7839000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0xb77c1000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x008e8000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so (0xb779f000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0xb75e3000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00915000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb74e2000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0xb74d2000)
	libdl.so.2 => /lib/libdl.so.2 (0x0091c000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb74b8000)
	libstlport_gcc.so => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libstlport_gcc.so (0xb73ed000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb72fb000)
	libm.so.6 => /lib/libm.so.6 (0xb72d2000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb72c4000)
	libc.so.6 => /lib/libc.so.6 (0xb7150000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00945000)
	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00948000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb714a000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7122000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb7119000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb7115000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0xb710c000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb7102000)
	libselinux.so.1 => /lib/libselinux.so.1 (0xb70e6000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb709f000)
	libz.so.1 => /lib/libz.so.1 (0xb708a000)
	libexpat.so.1 => /lib/libexpat.so.1 (0xb7063000)
	/lib/ld-linux.so.2 (0x00922000)
	libnsl.so.1 => /lib/libnsl.so.1 (0xb7049000)
	libcap.so.2 => /lib/libcap.so.2 (0xb7044000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb703c000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb7021000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0xb701c000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so (0xb6fcb000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0xb6e8d000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0xb6e57000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0xb6e4f000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0xb6e4b000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb6e18000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb6e15000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6df9000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0xb6df6000)
	libuuid.so.1 => /lib/libuuid.so.1 (0xb6df2000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb60ac000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb60a6000)
...end sample ldd details ...
Comment 1 David Tardon 2008-10-27 01:42:41 EDT
dtardon -> eric: Where exactly it crashed? Right during startup? If not, what did you do when it crashed?
Comment 2 eric@christensenplace.us 2008-10-27 07:02:19 EDT
Opps.  Yeah, it was right when it started.  The OpenOffice.org 3 splash screen was still up.
Comment 3 Caolan McNamara 2008-10-27 08:20:57 EDT
This stack comes from a dlopen attempt, i.e.

0xabdb61: 0x2ed0: /lib/libdl.so.2 + 0xb61 (dlopen + 0x41)

I suspect that this again isn't anything specific to OOo, but either some selinux foo or some glibc foo.
Comment 4 Caolan McNamara 2008-10-28 09:54:58 EDT
*** Bug 468857 has been marked as a duplicate of this bug. ***
Comment 5 Caolan McNamara 2008-10-28 12:53:40 EDT
Sigh, cannot reproduce on x86_64 with selinux in enforcing and strict. I've no real evidence that selinux is even involved.
Comment 6 Caolan McNamara 2008-10-28 12:56:06 EDT
Assuming that the version of glibc is 2.8.90-14 then the last seven lines of the stack are:...

    dl_open_worker
    /usr/src/debug/glibc-20081019T1815/elf/dl-open.c:516
    _dl_catch_error
    /usr/src/debug/glibc-20081019T1815/elf/dl-error.c:179
    _dl_open
    /usr/src/debug/glibc-20081019T1815/elf/dl-open.c:596
    dlopen_doit
    /usr/src/debug/glibc-20081019T1815/dlfcn/dlopen.c:67
    _dl_catch_error
    /usr/src/debug/glibc-20081019T1815/elf/dl-error.c:179
    _dlerror_run
    /usr/src/debug/glibc-20081019T1815/dlfcn/dlerror.c:164
    __dlopen
    /usr/src/debug/glibc-20081019T1815/dlfcn/dlopen.c:88

caolanm->jakub: Any known oddities with dlopen recently ?
Comment 7 Caolan McNamara 2008-10-28 13:03:30 EDT
Hum, this is dl_open_worker.
Comment 8 Jakub Jelinek 2008-10-28 13:47:56 EDT
jakub->caolanm: No changes in months.  dl-open.c:516 is where the library constructors are invoked, I'd say it is quite likely that one of the OOo libraries has garbage in the .ctors or .init_array sections.
Comment 9 Caolan McNamara 2008-11-06 07:45:41 EST
Installed new rawhide i386 box, didn't get a crash :-(
Comment 10 Caolan McNamara 2008-12-10 09:33:07 EST
*** Bug 473536 has been marked as a duplicate of this bug. ***
Comment 11 Caolan McNamara 2008-12-31 08:10:46 EST
*** Bug 477550 has been marked as a duplicate of this bug. ***
Comment 12 Caolan McNamara 2009-01-13 07:19:54 EST
*** Bug 478518 has been marked as a duplicate of this bug. ***
Comment 13 Caolan McNamara 2009-04-26 08:57:21 EDT
*** Bug 497630 has been marked as a duplicate of this bug. ***
Comment 14 Steve Fink 2009-08-10 19:12:48 EDT
I get what looks to be the same thing, although I am running Go-OO 3.1 on CentOS 5. Perhaps my data will be useful, though? It happens every time for me, immediately after the splash screen loads. The SIGSEGV happens in _dl_relocate_object called by dl_open_worker. I have glibc-2.5-34 with debuginfo. Unfortunately, everything is pretty much optimized out, but at stack frame 7 (dlopen()) I can see the .so path in edi:

(gdb) p (char*) $edi
$1 = 0xbfb4bbf8 "/opt/openoffice.org3/program/../basis-link/program/libsfxli.so"

I will need to revert to an older version at some point to get work done, but I thought this might be helpful. Let me know what else I can provide.

I do *not* have SE Linux enabled.

Stack trace:

#0  0x002582d5 in _dl_relocate_object (l=<value optimized out>, 
    scope=<value optimized out>, lazy=<value optimized out>, 
    consider_profiling=<value optimized out>)
    at ../sysdeps/i386/dl-machine.h:345
#1  0x0025ebe8 in dl_open_worker (a=<value optimized out>) at dl-open.c:406
#2  0x0025ae46 in _dl_catch_error (objname=<value optimized out>, 
    errstring=<value optimized out>, mallocedp=<value optimized out>, operate=Could not find the frame base for "_dl_catch_error".

) at dl-error.c:178
#3  0x0025e492 in _dl_open (file=<value optimized out>, 
    mode=<value optimized out>, caller_dlopen=<value optimized out>, 
    nsid=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, env=<value optimized out>) at dl-open.c:602
#4  0x00d8cc4d in dlopen_doit (a=<value optimized out>) at dlopen.c:67
#5  0x0025ae46 in _dl_catch_error (objname=<value optimized out>, 
    errstring=<value optimized out>, mallocedp=<value optimized out>, operate=Could not find the frame base for "_dl_catch_error".

) at dl-error.c:178
#6  0x00d8d2cc in _dlerror_run (operate=<value optimized out>, 
    args=<value optimized out>) at dlerror.c:164
#7  0x00d8cb84 in __dlopen (file=<value optimized out>, 
    mode=<value optimized out>) at dlopen.c:88
#8  0x00c68959 in osl_loadModuleAscii ()
   from /opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#9  0x00c689d2 in osl_loadModule ()
   from /opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#10 0x001591e0 in cppu::loadSharedLibComponentFactory ()
   from /opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
#11 0x017f4ebf in ?? () from /opt/openoffice.org/ure/lib/bootstrap.uno.so
#12 0x0014f081 in ?? ()
   from /opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
#13 0x0014f475 in ?? ()
   from /opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3

Note You need to log in before you can comment on or make changes to this bug.